# Module `gears.debug`

### Info:

- Copyright: 2010 Uli Schlachter
- Author: Uli Schlachter

## Functions

dump_return (data, tag[, depth]) | Inspect the value in data.
dump (data, tag[, depth]) | Print the table (or any other value) to the console.
print_warning (message) | Print an warning message
print_error (message) | Print an error message

## Functions

Methods

dump_return (data, tag[, depth])
  Inspect the value in data.
  - data Value to inspect.
  - tag The name of the value.
  - depth int Depth of recursion. (optional)

  ### Returns:

  string A string that contains the expanded value of data.
dump (data, tag[, depth])
  Print the table (or any other value) to the console.
  - data Table to print.
  - tag The name of the table.
  - depth int Depth of recursion. (optional)
print_warning (message)
  Print an warning message
  - message string The warning message to print
print_error (message)
  Print an error message
  - message string The error message to print

generated by LDoc 1.4.6 Last updated 2017-01-20 01:17:18